#!/bin/sh

rpi_wheezy_image="linux-image-rpi-rpfv"
rpi_wheezy_headers="linux-headers-rpi-rpfv"

rpi2_wheezy_image="linux-image-rpi2-rpfv"
rpi2_wheezy_headers="linux-headers-rpi2-rpfv"

CONFIG_TXT="/boot/config.txt"

KERNEL_MSG="# Set params for raspbian debian-style kernel boot"
PI_BOOT_KERNEL="kernel=vmlinuz-3.18.0-trunk-rpi"
PI_INITRAMFS="initramfs initrd.img-3.18.0-trunk-rpi followkernel"

PI2_BOOT_KERNEL="kernel=vmlinuz-3.18.0-trunk-rpi2"

PI2_INITRAMFS="initramfs initrd.img-3.18.0-trunk-rpi2 followkernel"

find_string()
{
	if grep -x --silent $1 $2
	then return
	else echo "$1" >> "$2"
	fi
}

echo "Which RPI is being updated?"
echo "1. RPI (A+,B,B+)"
echo "2. RPI2, Model B"
echo "3. RPI (A+,B,B+) Headers"
echo "4. RPI2, Model B Headers"
echo "Enter 1, 2, 3, or 4"
read rpi_type

while true; do
echo $rpi_type "was selected."
read -p "Do you wish to continue? " yn
	case $yn in
		[Yy]*  ) break;;
		[Nn]* ) exit;;
		* ) echo "Please answer yes or no";;
	esac
done

apt-get -y update # Get the latest package lists

case $rpi_type in
	1)  apt-get install -y $rpi_wheezy_image
	    find_string "$KERNEL_MSG" "$CONFIG_TXT"
	    find_string "$PI_BOOT_KERNEL" "$CONFIG_TXT"
	    find_string "$PI_INITRAMFS" "$CONFIG_TXT"
	    ;;
	2) apt-get install -y  $rpi2_wheezy_image
	    find_string "$KERNEL_MSG" "$CONFIG_TXT"
	    find_string "$PI2_BOOT_KERNEL" "$CONFIG_TXT"
	    find_string "$PI2_INITRAMFS" "$CONFIG_TXT"
	    ;;
	3) apt-get install -y $rpi_wheezy_headers
	    ;;
	4) apt-get install -y $rpi2_wheezy_headers
esac

